#include "test_producer_consumer.h"

int main()
{
    spdlog::set_level(spdlog::level::info);
    auto consumerSocket = make_pair_socket();

    if (int res = nng_dial(consumerSocket, "tcp6://[::]:41234", nullptr, 0))
        mnode_nng_fatal("nng_dial", res);

    consumer(consumerSocket);

    if (int res = nng_close(consumerSocket))
        mnode_nng_fatal("nng_close", res);

    return 0;
}
